%define prefix /usr
%define version 1.4
%define release 2
%define name  xtexsh

Name: %{name}
Summary: xtexsh A simple TeX interface for the X Window System
Version: %{version}
Release: %{release}
Vendor: Gerald Teschl <Gerald.Teschl@univie.ac.at>
Copyright: GPL
Group: Applications/Publishing
Buildroot: /var/tmp/%{name}-buildroot
Source: ftp://ftp.mat.univie.ac.at/pub/teschl/xtexsh/%{name}-%{version}-%{release}.tar.gz
URL: http://www.mat.univie.ac.at/~gerald/ftp/xtexsh/
Requires: psutils, tk >= 7.6.0
Prefix: %{prefix}
BuildArch: noarch

%description
The present program, xtexsh, is a simple TeX interface for the X Window
System based on "wish", respectively Tcl/Tk.

%prep            
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/man/man1
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/pixmaps
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/icons/locolor/{16x16,32x32}/apps
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications
cp xtexsh $RPM_BUILD_ROOT%{prefix}/bin/xtexsh
cp xtexsh.1.gz $RPM_BUILD_ROOT%{prefix}/share/man/man1/xtexsh.1.gz
cp xtexsh.png $RPM_BUILD_ROOT%{prefix}/share/pixmaps/xtexsh.png
cp xtexsh.png $RPM_BUILD_ROOT%{prefix}/share/icons/locolor/32x32/apps/xtexsh.png
cp xtexsh-mini.png $RPM_BUILD_ROOT%{prefix}/share/icons/locolor/16x16/apps/xtexsh.png
cp xtexsh.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Applications/xtexsh.desktop
cp xtexshrc $RPM_BUILD_ROOT/etc/xtexshrc

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/man\//s|^|%doc|' \
        -e '/\/etc\//s|^|%config\(noreplace\)|' >> \
        $RPM_BUILD_DIR/file.list.%{name}
%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name} $RPM_BUILD_DIR/%{name}

%files -f ../file.list.%{name}
%doc README LICENSE index.html

%changelog
* Tue May 31 2001 Gerald Teschl <Gerald.Teschl@univie.ac.at>
- rpm rebuild
